Subject: bug#20056: 25.0.50; Remove non Common Lisp stuff from cl*.el libraries

From: Stefan Monnier <[email-masked]>
Date: Sat, 03 Aug 2019 17:10:15 -0400

> Things have changed since the original discussion though: now that setf
> has been moved out of cl-lib, I think cl-letf and cl-callf should go
> with it.

I'm OK with moving them out of CL, but they should go to gv.el
(i.e. with a `gv-` prefix).  And w.r.t cl-callf, I'd rather replace it
is something slightly different (like the `gv-modify` discussed
recently-ish).

        Stefan